// Store a fragment shader source code as string
// Always Define Version!
#version 460 core

in vec3 pos;
out vec4 FragColor;
uniform float strength;
uniform samplerCube skyBox;

void main()
{
	FragColor = strength*texture(skyBox, pos);
};